Fix the build with -Werror=implicit-function-declarations

diff --git a/chkshsgr.c b/chkshsgr.c
index 2b942d8..2d4e5f4 100644
--- a/chkshsgr.c
+++ b/chkshsgr.c
@@ -1,3 +1,5 @@
+#include <grp.h>
+#include <unistd.h>
 #include "exit.h"
 
 int main()
diff --git a/dnsq.c b/dnsq.c
index 533e6af..fd9fe78 100644
--- a/dnsq.c
+++ b/dnsq.c
@@ -1,3 +1,5 @@
+#include <unistd.h>
+
 #include "uint16.h"
 #include "strerr.h"
 #include "buffer.h"
diff --git a/dnsqr.c b/dnsqr.c
index ff8ea6e..01bfe65 100644
--- a/dnsqr.c
+++ b/dnsqr.c
@@ -1,3 +1,5 @@
+#include <unistd.h>
+
 #include "uint16.h"
 #include "strerr.h"
 #include "buffer.h"
diff --git a/hier.c b/hier.c
index 4aef75b..c7c8766 100644
--- a/hier.c
+++ b/hier.c
@@ -1,5 +1,11 @@
 #include "auto_home.h"
 
+/* implemented in install.c and/or instcheck.c */
+void c(char*, char*, char*, int, int, int);
+void h(char*, int, int, int);
+void d(char*, char*, int, int, int);
+
+
 void hier()
 {
   c("/","etc","dnsroots.global",-1,-1,0644);
diff --git a/prot.c b/prot.c
index 0a8a373..1c56e9c 100644
--- a/prot.c
+++ b/prot.c
@@ -1,3 +1,5 @@
+#include <grp.h>
+#include <unistd.h>
 #include "hasshsgr.h"
 #include "prot.h"
 
diff --git a/seek_set.c b/seek_set.c
index d08d4f3..47c61e4 100644
--- a/seek_set.c
+++ b/seek_set.c
@@ -1,4 +1,5 @@
 #include <sys/types.h>
+#include <unistd.h>
 #include "seek.h"
 
 #define SET 0 /* sigh */
diff --git a/utime.c b/utime.c
index 4b7984f..be6c936 100644
--- a/utime.c
+++ b/utime.c
@@ -1,5 +1,6 @@
 #include <sys/types.h>
 #include <sys/time.h>
+#include <utime.h>
 #include "scan.h"
 #include "exit.h"
 
